Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 265054 - Remove old-style virtual/ruby
Summary: Remove old-style virtual/ruby
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All All
: High minor (vote)
Assignee: Gentoo Ruby Team
URL:
Whiteboard:
Keywords:
Depends on: 307613
Blocks: 265027 350792
  Show dependency tree
 
Reported: 2009-04-06 05:44 UTC by Hans de Graaff
Modified: 2011-03-13 19:24 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---
graaff: Bugday+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Hans de Graaff gentoo-dev 2009-04-06 05:44:03 UTC
During this process also investigate which providers we have and which common use flags there are.
Comment 1 Hans de Graaff gentoo-dev 2009-12-20 10:24:35 UTC
After some discussion the ruby team has decided that we will not introduce a new-style virtual for ruby. Most of the use cases for such a virtual are now handled by the new ruby-ng and ruby-fakegem eclasses, which depend on the proper ruby implementations based on the RUBY_TARGETS use flags.

Furthermore, different ruby implementations are not fully compatible when it comes to more advanced use such as building against its shared library, and thus specific dependencies are also needed in this case.

I've changed the subject to match this approach. 
Comment 2 Hans de Graaff gentoo-dev 2009-12-25 14:31:11 UTC
The following ebuilds still depend on virtual/ruby. Please check and update this dependency so that we can remove the virtual/ruby provider. If in doubt you may simply change the dependency to dev-lang/ruby, since this is the only version that currently provides virtual/ruby.

To be more future-proof, however, we encourage you to use the ruby-ng and ruby-fakegem eclasses to ensure that your packages is properly installed for all ruby targets that we provide. Feel free to ask the ruby herd for assistance with this.

matsuu:
app-backup/pdumpfs/pdumpfs-1.3-r1
app-text/gonzui/gonzui-1.2
app-text/gonzui/gonzui-1.2-r

shell-tools:
app-text/glark/glark-1.7.8  
app-text/glark/glark-1.8.0

cjk:
app-text/migemo/migemo-0.40-r1

sgml:
app-text/xmlformat/xmlformat-1.03 
app-text/xmlformat/xmlformat-1.04

hattya:
dev-db/qdbm/qdbm-1.8.77 

scheme:
dev-lang/swig/swig-1.3.31
dev-lang/swig/swig-1.3.33
dev-lang/swig/swig-1.3.34
dev-lang/swig/swig-1.3.35
dev-lang/swig/swig-1.3.36
dev-lang/swig/swig-1.3.38

tex:
dev-tex/style-check/style-check-0.12 
dev-tex/style-check/style-check-0.7

net-mail:
mail-filter/bsfilter/bsfilter-1.0.15
mail-filter/bsfilter/bsfilter-1.0.7
mail-filter/bsfilter/bsfilter-1.0.9

media-video:
media-libs/libcaca/libcaca-0.99_beta16 
media-libs/libcaca/libcaca-0.99_beta16-r1

php:
media-libs/pdflib/pdflib-7.0.2_p8 

sound:
media-sound/snd/snd-9.11 
media-sound/snd/snd-9.1

a3li:
net-irc/rbot/rbot-0.9.10-r1
net-irc/rbot/rbot-0.9.14
net-irc/rbot/rbot-9999-r10

sci-geosciences:
sci-libs/geos/geos-3.1.1 

sci:
sci-visualization/gwyddion/gwyddion-2.10
Comment 3 Marijn Schouten (RETIRED) gentoo-dev 2009-12-29 07:47:11 UTC
If anyone feels like fixing swig for me, that would be great.
Comment 4 Hans de Graaff gentoo-dev 2009-12-29 12:15:03 UTC
(In reply to comment #3)
> If anyone feels like fixing swig for me, that would be great.

The latest versions no longer depend on ruby at all, so if you stabilize one of those and remove the old versions you should be good to go.
Comment 5 Samuli Suominen gentoo-dev 2010-03-21 10:12:16 UTC
(In reply to comment #2)
> sound:
> media-sound/snd/snd-9.11 
> media-sound/snd/snd-9.1

I've removed 9.1 from tree, but 9.11's ruby handling looks hackish. 
If you can and want to, please go for it.
Comment 6 Matti Bickel (RETIRED) gentoo-dev 2010-04-02 20:16:04 UTC
I've introduced pdflib-7.0.4_p4 to the tree which uses dev-lang/ruby as a dependency. As pdflib is essentially maintainer-needed, feel free to fix it properly.
Comment 7 Akinori Hattori gentoo-dev 2010-07-31 10:29:26 UTC
(In reply to comment #2)
> hattya:
> dev-db/qdbm/qdbm-1.8.77 

done
Comment 8 Samuli Suominen gentoo-dev 2010-07-31 10:41:45 UTC
changed snd's virtual/ruby to dev-lang/ruby...
Comment 9 Panagiotis Christopoulos (RETIRED) gentoo-dev 2010-07-31 13:10:42 UTC
swig is already done. I cleaned up the old ebuilds some days ago.
Comment 10 Hans de Graaff gentoo-dev 2010-08-07 14:02:33 UTC
I've checked this list again today and fixed the remaining packages. Removing cc's on the assumption that you won't be interested in the aftermath of actually removing the virtual.
Comment 11 Hans de Graaff gentoo-dev 2010-08-07 14:43:07 UTC
I've just checked the tree and converted the last ruby packages referencing virtual/ruby. Next steps:

Remove the PROVIDE in ruby-enterprise and ruby 1.9.x. I'm not sure these should ever have qualified to be a virtual/ruby implementation given that neither is fully compatible with ruby 1.8. (perhaps ree18 comes close enough).

Remove the PROVIDE in dev-lang/ruby-1.8.x and the default in profile/**/virtuals.

I'm not sure if we can just do this or if there is some kind of transition period we should take into account?
Comment 12 Hans de Graaff gentoo-dev 2010-12-31 15:04:15 UTC
I have removed the PROVIDE's for ruby 1.9 and ruby enterprise edition.
Comment 13 Ulrich Müller gentoo-dev 2011-01-06 20:09:12 UTC
sci-libs/geos still depends on virtual/ruby.
Comment 14 Hans de Graaff gentoo-dev 2011-01-07 10:12:52 UTC
(In reply to comment #13)
> sci-libs/geos still depends on virtual/ruby.

I already fixed that locally but forgot to commit. Thanks for the extra check.
Comment 15 Hans de Graaff gentoo-dev 2011-03-13 19:24:36 UTC
Removed remaining PROVIDE's in ruby 1.8.